cudaComputeMode
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaComputeMode

    java.lang.Object
      jcuda.runtime.cudaComputeMode

    public class cudaComputeMode

extends java.lang.Object

CUDA device compute modes.
Most comments are taken from the CUDA reference manual.

See Also:
  `cudaDeviceProp.computeMode`

Field Summary
`static int` | `cudaComputeModeDefault` Default compute mode (Multiple threads can use `JCuda.cudaSetDevice(int)` with this device)
`static int` | `cudaComputeModeExclusive` Compute-exclusive mode (Only one thread will be able to use `JCuda.cudaSetDevice(int)` with this device)
`static int` | `cudaComputeModeProhibited` Compute-prohibited mode (No threads can use `JCuda.cudaSetDevice(int)` with this device)

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given cudaComputeMode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cudaComputeModeDefault

    public static final int cudaComputeModeDefault

  Default compute mode (Multiple threads can use `JCuda.cudaSetDevice(int)` with this device)

  See Also:
    Constant Field Values

### cudaComputeModeExclusive

    public static final int cudaComputeModeExclusive

  Compute-exclusive mode (Only one thread will be able to use `JCuda.cudaSetDevice(int)` with this device)

  See Also:
    Constant Field Values

### cudaComputeModeProhibited

    public static final int cudaComputeModeProhibited

  Compute-prohibited mode (No threads can use `JCuda.cudaSetDevice(int)` with this device)

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given cudaComputeMode

  Parameters:
    `n` - The cudaComputeMode
  Returns:
    The String identifying the given cudaComputeMode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD